# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.
---
loader: taskgraph.loader.transform:loader

transforms:
    - gecko_taskgraph.transforms.release_deps:transforms
    - gecko_taskgraph.transforms.scriptworker:add_balrog_scopes
    - gecko_taskgraph.transforms.task:transforms

kind-dependencies:
    - post-balrog-dummy
    - post-beetmover-dummy
    - release-secondary-balrog-submit-toplevel

task-defaults:
    run-on-repo-type: [hg]
    run-on-projects: []
    shipping-phase: ship
    worker-type: balrog
    worker:
        implementation: balrog
        balrog-action: schedule

tasks:
    firefox-secondary-rc:
        description: Schedule Beta Firefox publishing in balrog
        name: release-firefox_schedule_publishing_in_balrog
        shipping-product: firefox
        worker:
            product: firefox
            release-eta: ''
            channel-names: ["beta", "beta-localtest", "beta-cdntest"]
            publish-rules: [32]
            rules-to-update: ["firefox-beta-cdntest", "firefox-beta-localtest"]
            pin-channels: ["beta"]
        treeherder:
            platform: firefox-release/opt
            symbol: Rel(BSFxRC)
            tier: 1
            kind: build
